Bug 882713 - Review Request: gdigi - utility to control Digitech effects pedal on Linux
Summary: Review Request: gdigi - utility to control Digitech effects pedal on Linux
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-02 20:40 UTC by Mauro Carvalho Chehab
Modified: 2013-07-04 22:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-12 00:17:10 UTC
Type: ---
hdegoede: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mauro Carvalho Chehab 2012-12-02 20:40:51 UTC
Spec URL: http://mchehab.fedorapeople.org/gdigi/gdigi.spec
SRPM URL: http://mchehab.fedorapeople.org/gdigi/gdigi-0.3.0-20121202git.1.fc17.src.rpm
Description: gdigi is tool aimed to provide X-Edit functionality to Linux users

Supported devices (list misses your DigiTech device? Please get in touch!):

    RP150
    RP155
    RP250
    RP255
    RP355
    RP500
    RP1000
    GNX3000
    GNX4K

Fedora Account System Username: mchehab

Comment 1 Hans de Goede 2012-12-02 21:53:50 UTC
Hi,

I'll take this one for review.

Full review done:

Good:
=====
- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv3) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime

Needs work:
===========
- rpmlint checks return:
gdigi.x86_64: W: incoherent-version-in-changelog 0.3.0-20121202git.1.fc17 ['0.3.0-20121202git.1.fc18', '0.3.0-20121202git.1']
gdigi-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gdigi-0.3.0/gtkknob.c
gdigi-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gdigi-0.3.0/gtkknob.h

Please fix the incoherent changelog issue

-please drop the "Requires:	expat gtk3", rpm automatically detects this dependecies based on soname:
rpm -qp --requires ~/rpmbuild/RPMS/x86_64/gdigi-0.3.0-20121202git.1.fc18.x86_64.rpm
<snip>
libexpat.so.1()(64bit)
<snip>
libgtk-3.so.0()(64bit)

-gdigi has a .desktop file so this applies:
http://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

Thus there must be a:
desktop-file-validate %{buildroot}/%{_datadir}/applications/foo.desktop
line at the end of the %install section

-please drop the BuildRoot, rm -rf %{buildroot} in %install and %clean section they are no longer nescessary.
-please drop the %defattr, they are no longer necessary
-please do not gzip the manpage before install rpmbuild will take care of compressing it in its install destination, and if we ever decide to move from gzip to for example bz2, then rpmbuild will
automatically do the right thing.


Please provide a new version fixing the needs work issues, with the Release field bumped, and a specfile changelog entry describing the changes made.

Thanks & Regards,

Hans

Comment 2 Mauro Carvalho Chehab 2012-12-03 00:00:45 UTC
(In reply to comment #1)
> Hi,
> 
> I'll take this one for review.

Thank you for the review!

> Needs work:
> ===========
> - rpmlint checks return:
> gdigi.x86_64: W: incoherent-version-in-changelog 0.3.0-20121202git.1.fc17
> ['0.3.0-20121202git.1.fc18', '0.3.0-20121202git.1']

Fixed. Compiled it This time at F18 Beta.

> gdigi-debuginfo.x86_64: E: incorrect-fsf-address
> /usr/src/debug/gdigi-0.3.0/gtkknob.c
> gdigi-debuginfo.x86_64: E: incorrect-fsf-address
> /usr/src/debug/gdigi-0.3.0/gtkknob.h

I emailed to the application author for him to fix it upstream. I'll bump
version when the fix will be there.

> Please provide a new version fixing the needs work issues, with the Release
> field bumped, and a specfile changelog entry describing the changes made.

Done:

http://mchehab.fedorapeople.org/gdigi/gdigi.spec
http://mchehab.fedorapeople.org/gdigi/gdigi-0.3.0-20121202git.2.fc18.src.rpm

Comment 3 Hans de Goede 2012-12-03 08:46:01 UTC
(In reply to comment #2)
> Done:
> 
> http://mchehab.fedorapeople.org/gdigi/gdigi.spec
> http://mchehab.fedorapeople.org/gdigi/gdigi-0.3.0-20121202git.2.fc18.src.rpm

Looks good now -> Approved!

Note you did forget to drop the "BuildRoot: ..." from the specfile, please drop this before import.

Regards,

Hans

Comment 4 Mauro Carvalho Chehab 2012-12-03 13:16:45 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Done:
> > 
> > http://mchehab.fedorapeople.org/gdigi/gdigi.spec
> > http://mchehab.fedorapeople.org/gdigi/gdigi-0.3.0-20121202git.2.fc18.src.rpm
> 
> Looks good now -> Approved!

Thank you!

> Note you did forget to drop the "BuildRoot: ..." from the specfile, please
> drop this before import.

Done:
http://mchehab.fedorapeople.org/gdigi/gdigi.spec

Comment 5 Mauro Carvalho Chehab 2012-12-03 13:19:25 UTC
New Package SCM Request
=======================
Package Name: gdigi
Short Description: Utility to control DigiTech effect pedals
Owners: mchehab
Branches: f17 f18 rawhide
InitialCC: mchehab

Comment 6 Gwyn Ciesla 2012-12-03 13:32:06 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-12-03 14:43:44 UTC
gdigi-0.3.0-20121203git.2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gdigi-0.3.0-20121203git.2.fc17

Comment 8 Fedora Update System 2012-12-03 14:45:33 UTC
gdigi-0.3.0-20121203git.1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gdigi-0.3.0-20121203git.1.fc18

Comment 9 Fedora Update System 2012-12-03 21:35:31 UTC
gdigi-0.3.0-20121203git.1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 10 Fedora Update System 2012-12-12 00:17:12 UTC
gdigi-0.3.0-20121203git.1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 11 Fedora Update System 2012-12-21 12:01:32 UTC
gdigi-0.3.0-20121203git.2.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.